package com.zcloud.basic.info.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.basic.info.domain.gateway.DepartmentSuperviseGateway;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2025-11-10 14:13:46
 */
@Component
@AllArgsConstructor
public class DepartmentSuperviseRemoveExe {
    private final DepartmentSuperviseGateway departmentSuperviseGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = departmentSuperviseGateway.deletedDepartmentSuperviseById(id);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = departmentSuperviseGateway.deletedDepartmentSuperviseByIds(ids);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }
}

